package com.getsnappy.snappyj;

import java.io.Writer;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * This interface is used to trap exceptions and perform custom
 * actions.
 * 
 * @author brian
 * @see ApplicationInstance
 */
public interface ApplicationErrorHandler {
   /**
    * The default application
    * @param out
    * @param request
    * @param response
    * @throws Exception
    */
   public void handleException(Exception e,Writer out,HttpServletRequest request,HttpServletResponse response) throws Exception;

}
