package com.getsnappy.snappyj;

import java.io.IOException;
import java.io.Writer;

public abstract class JavaScriptErrorHandler {
   /**
    * Used the define what happens when an unexpected condition occurs
    * This must output a function definition that takes a single string and
    * does some sort of JavaScript action to alert the user that an error
    * 
    * w20.errorHandler
    * @param out
    * @throws IOException
    */
   public abstract void jsFunctionDefinition(Writer out) throws IOException;
   
   
   void jsDeclareObject(Writer out)  throws IOException {
      
      out.write("w20.handleError=");
      jsFunctionDefinition(out);
      out.write("\n");
      
   }
      
}
